using AutoScan.Options;
using Microsoft.Extensions.Logging;

namespace AutoScan;

public class AutoScanApp
{
    private readonly AutoScanOptions _options;
    private readonly ILogger<AutoScanApp> _logger;

    public AutoScanApp(AutoScanOptions options, ILogger<AutoScanApp> logger)
    {
        _options = options;
        _logger = logger;
    }
    
    private void Run()
    {
        _logger.LogInformation("AutoScanApp is running...");
        _logger.LogInformation("Waiting for next scan at {At}.", _options.At);
    }
}